<?php

namespace App\Entities\PagSeguro\Share;

use App\Utils\Builder;

class PagSeguroSumaryBuilder implements Builder {
	protected $total;
	protected $paid;
	protected $refunded;

	public function build(): PagSeguroSumary {

		$obj = new PagSeguroSumary();
		$obj->setTotal( $this->total );
		$obj->setPaid( $this->paid );
		$obj->setRefunded( $this->refunded );

		return $obj;

	}

	/**
	 *
	 * @param mixed $total
	 */
	public function setTotal($total): PagSeguroSumaryBuilder {

		$this->total = $total;
		return $this;

	}

	/**
	 *
	 * @param mixed $paid
	 */
	public function setPaid($paid): PagSeguroSumaryBuilder {

		$this->paid = $paid;
		return $this;

	}

	/**
	 *
	 * @param mixed $refunded
	 */
	public function setRefunded($refunded): PagSeguroSumaryBuilder {

		$this->refunded = $refunded;
		return $this;

	}

}

